Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.middleware
Class AutomaticJobSubmitter

    java.lang.Object
      lbg.middleware.AutomaticJobSubmitter

All Implemented Interfaces:
  LiveUserAgentListener

    public class AutomaticJobSubmitter

extends java.lang.Object
implements LiveUserAgentListener

Utility software to automatically submit, multiple times, one synthetic Job.

Since:
  2007-02-01
Author:
  Xavier Dalem, Cyril Briquet

Constructor Summary
`AutomaticJobSubmitter(LiveUserAgent ua, JobConfigurator jc, int jobs_to_submit, boolean block_before_resubmission, SubmissionTimesGenerator stg)` Constructs a new automatic Job submitter.

Method Summary
`void` | `jobCompletion(JobDescriptor jd, int job_id)` LiveUserAgentListener implementation.
`static void` | `main(java.lang.String[] argv)` Periodically submits BoTs to a given Peer.
`void` | `submitJobs()`
`void` | `taskCompletion(Task t)` LiveUserAgentListener implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomaticJobSubmitter

    public AutomaticJobSubmitter(LiveUserAgent ua,
                                 JobConfigurator jc,
                                 int jobs_to_submit,
                                 boolean block_before_resubmission,
                                 SubmissionTimesGenerator stg)
                          throws GridException

  Constructs a new automatic Job submitter.

  Throws:
    `GridException`

Method Detail

### jobCompletion

    public void jobCompletion(JobDescriptor jd,
                              int job_id)
                       throws GridException

  LiveUserAgentListener implementation. Called upon Job completion.

  Specified by:
    `jobCompletion` in interface `LiveUserAgentListener`
  Parameters:
    `jd` - descriptor of completed Job
    `job_id` - Job id
  Throws:
    `GridException` - if a parameter is illegal

### taskCompletion

    public void taskCompletion(Task t)

  LiveUserAgentListener implementation. Called upon Task completion.

  Specified by:
    `taskCompletion` in interface `LiveUserAgentListener`
  Parameters:
    `t` - completed Task

### submitJobs

    public void submitJobs()
                    throws GridException

  Throws:
    `GridException`

### main

    public static void main(java.lang.String[] argv)

  Periodically submits BoTs to a given Peer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.